Date: Thursday, April 20, 2017 @ 08:17:50
  Author: arojas
Revision: 293381

archrelease: copy trunk to kde-unstable-i686, kde-unstable-x86_64

Added:
  cantor/repos/kde-unstable-i686/
  cantor/repos/kde-unstable-i686/PKGBUILD
    (from rev 293380, cantor/trunk/PKGBUILD)
  cantor/repos/kde-unstable-x86_64/PKGBUILD
    (from rev 293380, cantor/trunk/PKGBUILD)
Deleted:
  cantor/repos/kde-unstable-x86_64/PKGBUILD

------------------------------+
 /PKGBUILD                    |   55 +++++++++++++++++++++++++++++++++++++++++
 kde-unstable-i686/PKGBUILD   |   55 +++++++++++++++++++++++++++++++++++++++++
 kde-unstable-x86_64/PKGBUILD |   55 -----------------------------------------
 3 files changed, 110 insertions(+), 55 deletions(-)

Copied: cantor/repos/kde-unstable-i686/PKGBUILD (from rev 293380, 
cantor/trunk/PKGBUILD)
===================================================================
--- kde-unstable-i686/PKGBUILD                          (rev 0)
+++ kde-unstable-i686/PKGBUILD  2017-04-20 08:17:50 UTC (rev 293381)
@@ -0,0 +1,55 @@
+# $Id$
+# Maintainer: Felix Yan <felixonm...@archlinux.org>
+# Contributor: Andrea Scarpino <and...@archlinux.org>
+
+pkgname=cantor
+pkgver=17.04.0
+pkgrel=1
+pkgdesc="KDE Frontend to Mathematical Software"
+url="https://kde.org/applications/education/cantor/";
+arch=('i686' 'x86_64')
+license=('GPL' 'LGPL' 'FDL')
+groups=('kde-applications' 'kdeedu')
+depends=('analitza' 'libspectre' 'kpty' 'ktexteditor' 'knewstuff' 
'libqalculate' 'hicolor-icon-theme')
+makedepends=('extra-cmake-modules' 'python' 'python2' 'kdoctools' 'luajit' 'r' 
'julia')
+optdepends=('maxima: Maxima backend'
+            'octave: Octave backend'
+            'r: R backend'
+            'luajit: LUA backend'
+            'python: Python 3 backend'
+           'python2: Python 2 backend'
+            'sagemath: SageMath backend'
+            'julia: Julia backend')
+conflicts=('kdeedu-cantor')
+replaces=('kdeedu-cantor')
+source=("https://download.kde.org/stable/applications/${pkgver}/src/cantor-${pkgver}.tar.xz"{,.sig})
+sha256sums=('bea7d26f787837808d9371a243a22ed96715331c69086cc9b638d31ae3f3c76f'
+            'SKIP')
+validpgpkeys=(CA262C6C83DE4D2FB28A332A3A6A4DB839EAA6D7) # Albert Astals Cid 
<aa...@kde.org>
+
+prepare() {
+  mkdir -p build
+}
+
+build() {
+  cd build
+
+  if [[ $CARCH == 'i686' ]]; then
+    export CFLAGS+=" -march=pentium4"
+    export CXXFLAGS+=" -march=pentium4"
+  fi
+
+  cmake ../$pkgname-$pkgver \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DKDE_INSTALL_LIBDIR=lib \
+    -DBUILD_TESTING=OFF \
+    -DPYTHON_INCLUDE_DIR=/usr/include/python2.7 \
+    -DPYTHON_LIBRARY=/usr/lib/libpython2.7.so
+  make
+}
+
+package() {
+  cd build
+  make DESTDIR="$pkgdir" install
+}

Deleted: kde-unstable-x86_64/PKGBUILD
===================================================================
--- kde-unstable-x86_64/PKGBUILD        2017-04-20 08:17:30 UTC (rev 293380)
+++ kde-unstable-x86_64/PKGBUILD        2017-04-20 08:17:50 UTC (rev 293381)
@@ -1,55 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonm...@archlinux.org>
-# Contributor: Andrea Scarpino <and...@archlinux.org>
-
-pkgname=cantor
-pkgver=17.03.90
-pkgrel=1
-pkgdesc="KDE Frontend to Mathematical Software"
-url="https://kde.org/applications/education/cantor/";
-arch=('i686' 'x86_64')
-license=('GPL' 'LGPL' 'FDL')
-groups=('kde-applications' 'kdeedu')
-depends=('analitza' 'libspectre' 'kpty' 'ktexteditor' 'knewstuff' 
'libqalculate' 'hicolor-icon-theme')
-makedepends=('extra-cmake-modules' 'python' 'python2' 'kdoctools' 'luajit' 'r' 
'julia')
-optdepends=('maxima: Maxima backend'
-            'octave: Octave backend'
-            'r: R backend'
-            'luajit: LUA backend'
-            'python: Python 3 backend'
-           'python2: Python 2 backend'
-            'sagemath: SageMath backend'
-            'julia: Julia backend')
-conflicts=('kdeedu-cantor')
-replaces=('kdeedu-cantor')
-source=("https://download.kde.org/stable/applications/${pkgver}/src/cantor-${pkgver}.tar.xz"{,.sig})
-sha256sums=('28aee2dc68e25a8ab2c6cf60bb1a5619a750f04fb6bba5fdf87343ba275acdb6'
-            'SKIP')
-validpgpkeys=(CA262C6C83DE4D2FB28A332A3A6A4DB839EAA6D7) # Albert Astals Cid 
<aa...@kde.org>
-
-prepare() {
-  mkdir -p build
-}
-
-build() {
-  cd build
-
-  if [[ $CARCH == 'i686' ]]; then
-    export CFLAGS+=" -march=pentium4"
-    export CXXFLAGS+=" -march=pentium4"
-  fi
-
-  cmake ../$pkgname-$pkgver \
-    -DCMAKE_BUILD_TYPE=Release \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DKDE_INSTALL_LIBDIR=lib \
-    -DBUILD_TESTING=OFF \
-    -DPYTHON_INCLUDE_DIR=/usr/include/python2.7 \
-    -DPYTHON_LIBRARY=/usr/lib/libpython2.7.so
-  make
-}
-
-package() {
-  cd build
-  make DESTDIR="$pkgdir" install
-}

Copied: cantor/repos/kde-unstable-x86_64/PKGBUILD (from rev 293380, 
cantor/trunk/PKGBUILD)
===================================================================
--- kde-unstable-x86_64/PKGBUILD                                (rev 0)
+++ kde-unstable-x86_64/PKGBUILD        2017-04-20 08:17:50 UTC (rev 293381)
@@ -0,0 +1,55 @@
+# $Id$
+# Maintainer: Felix Yan <felixonm...@archlinux.org>
+# Contributor: Andrea Scarpino <and...@archlinux.org>
+
+pkgname=cantor
+pkgver=17.04.0
+pkgrel=1
+pkgdesc="KDE Frontend to Mathematical Software"
+url="https://kde.org/applications/education/cantor/";
+arch=('i686' 'x86_64')
+license=('GPL' 'LGPL' 'FDL')
+groups=('kde-applications' 'kdeedu')
+depends=('analitza' 'libspectre' 'kpty' 'ktexteditor' 'knewstuff' 
'libqalculate' 'hicolor-icon-theme')
+makedepends=('extra-cmake-modules' 'python' 'python2' 'kdoctools' 'luajit' 'r' 
'julia')
+optdepends=('maxima: Maxima backend'
+            'octave: Octave backend'
+            'r: R backend'
+            'luajit: LUA backend'
+            'python: Python 3 backend'
+           'python2: Python 2 backend'
+            'sagemath: SageMath backend'
+            'julia: Julia backend')
+conflicts=('kdeedu-cantor')
+replaces=('kdeedu-cantor')
+source=("https://download.kde.org/stable/applications/${pkgver}/src/cantor-${pkgver}.tar.xz"{,.sig})
+sha256sums=('bea7d26f787837808d9371a243a22ed96715331c69086cc9b638d31ae3f3c76f'
+            'SKIP')
+validpgpkeys=(CA262C6C83DE4D2FB28A332A3A6A4DB839EAA6D7) # Albert Astals Cid 
<aa...@kde.org>
+
+prepare() {
+  mkdir -p build
+}
+
+build() {
+  cd build
+
+  if [[ $CARCH == 'i686' ]]; then
+    export CFLAGS+=" -march=pentium4"
+    export CXXFLAGS+=" -march=pentium4"
+  fi
+
+  cmake ../$pkgname-$pkgver \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DKDE_INSTALL_LIBDIR=lib \
+    -DBUILD_TESTING=OFF \
+    -DPYTHON_INCLUDE_DIR=/usr/include/python2.7 \
+    -DPYTHON_LIBRARY=/usr/lib/libpython2.7.so
+  make
+}
+
+package() {
+  cd build
+  make DESTDIR="$pkgdir" install
+}

Reply via email to